<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="text" indent="yes"/>
	<xsl:variable name="newline">
		<xsl:text>&lt;br/&gt;</xsl:text>
	</xsl:variable>
	<xsl:variable name="tab">
		<xsl:text>	</xsl:text>
	</xsl:variable>
	<xsl:template match="message">
		<xsl:value-of select="$newline"/>
		<xsl:choose>
			<xsl:when test="@severity='error'">&lt;b&gt;Error:&lt;/b&gt;</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="@severity='warning'">&lt;b&gt;Warning:&lt;/b&gt;</xsl:when>
					<xsl:otherwise>&lt;b&gt;Info:&lt;/b&gt;</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose><xsl:value-of select="$tab"/><xsl:if test="local-name(..)='object'">
			&lt;b&gt;<xsl:value-of select="../@type"/>&lt;/b&gt; "<xsl:value-of select="../@name"/>"</xsl:if><xsl:value-of select="$newline"/>
		&lt;pre&gt;<xsl:value-of select="description"/>&lt;/pre&gt;
		<xsl:value-of select="$newline"/>
		<xsl:apply-templates select="message"/>
		<xsl:value-of select="$newline"/>
	</xsl:template>
</xsl:stylesheet>
